with Ada.Strings.Unbounded;  use Ada.Strings.Unbounded;
with Ada.Text_IO;            use Ada.Text_IO;
with DB;                     use DB;
with GNATCOLL.SQL;           use GNATCOLL.SQL;
with GNATCOLL.SQL.Exec;      use GNATCOLL.SQL.Exec;
with GNATCOLL.SQL.Sqlite;    use GNATCOLL.SQL.Sqlite;
with GNATCOLL.SQL_Fields;    use GNATCOLL.SQL_Fields;

procedure Main is
   Descr : constant Database_Description := Setup ("testdb");
   DB    : constant Database_Connection := Build_Connection (Descr);

   Q : constant SQL_Query := SQL_Insert
      (Values => (Mytable.Id = 1)
          & (Mytable.Value = "{}"));
begin
   Put_Line (To_String (To_String (Q, DB.all))); 
end Main;
